org.apache.lucene.queries.function.valuesource

## Class JoinDocFreqValueSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.FieldCacheSource
    - - org.apache.lucene.queries.function.valuesource.JoinDocFreqValueSource

    public class JoinDocFreqValueSource
    extends FieldCacheSource

Use a field value and find the Document Frequency within another field.

Since:
  solr 4.0

### Field Summary

Fields
`static String` `NAME`
`protected String` `qfield`

### Fields inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

`field`

### Constructor Summary

Constructors
Constructor and Description
`JoinDocFreqValueSource(String field, String qfield)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `description()` description of field, used in explain()
`boolean` `equals(Object o)`
`FunctionValues` `getValues(Map context, LeafReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight().
`int` `hashCode()`

### Methods inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

`getField`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`asDoubleValuesSource, asLongValuesSource, createWeight, fromDoubleValuesSource, getSortField, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

See Also:
  Constant Field Values

#### qfield

    protected final String qfield

### Constructor Detail

#### JoinDocFreqValueSource

    public JoinDocFreqValueSource(String field,
                                  String qfield)

### Method Detail

#### description

    public String description()

Description copied from class: `ValueSource`
description of field, used in explain()

Overrides:
  `description` in class `FieldCacheSource`

#### getValues

    public FunctionValues getValues(Map context,
                                    LeafReaderContext readerContext)
                             throws IOException

Description copied from class: `ValueSource`
Gets the values for this reader and the context that was previously passed to createWeight(). The values must be consumed in a forward docID manner, and you must call this method again to iterate through the values again.

Specified by:
  `getValues` in class `ValueSource`
Throws:
  `IOException`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `FieldCacheSource`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `FieldCacheSource`